Bug 1288759 (python-commit) - Review Request: python-commit - Convex Optimization Modeling for Microstructure Informed Tractography
Summary: Review Request: python-commit - Convex Optimization Modeling for Microstructu...
Keywords:
Status: CLOSED WONTFIX
Alias: python-commit
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-nibabel 1288756
Blocks: FE-DEADREVIEW fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-12-05 21:26 UTC by Igor Gnatenko
Modified: 2018-08-22 10:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:31:28 UTC
zbyszek: fedora-review?


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-05 21:26:31 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-commit.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-commit-1.0-0.1.git20b742d.fc24.src.rpm
Description:
The reconstructions recovered with existing tractography algorithms are not
really quantitative even though diffusion MRI is a quantitative modality by
nature. As a matter of fact, several techniques have been proposed in recent
years to estimate, at the voxel level, intrinsic micro-structural features of
the tissue, such as axonal density and diameter, by using multi-compartment
models. COMMIT implements a novel framework to re-establish the link between
tractography and tissue micro-structure.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-06 14:41:53 UTC
The description is nice, but a bit too high-level ;). Please add a bit of down-to-earth stuff like "this package can be used to ...".


Where is it specified that the license is GPLv3+ (and and GPLv3)?


python2-commit.i686: W: no-version-in-last-changelog

That's because the spec in srpm is different than the standalone version. The standalone version is OK.


python2-commit.i686: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/commit/operator/operator_c.c
python2-commit.i686: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/commit/operator/operator.pyx python
python2-commit.i686: E: non-executable-script /usr/lib/python2.7/site-packages/commit/operator/operator.pyx 644 python

Those appear to be source files that should be removed from the binary package.


What about the documentation? The documentation is nice, but maybe it's good enough if people can access it online.

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-03-05 22:31:45 UTC
What's up with this one?

Comment 3 Igor Gnatenko 2018-08-22 07:31:28 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.

Comment 4 Ankur Sinha (FranciscoD) 2018-08-22 10:16:38 UTC
I'll take this up and submit a new review. Thanks, Igor.


Note You need to log in before you can comment on or make changes to this bug.